From 29df6b2bf87569e016e688fbaaeb2a3773f9094d Mon Sep 17 00:00:00 2001
From: Carlo Bramini <30959007+carlo-bramini@users.noreply.github.com>
Date: Tue, 29 Nov 2022 10:02:43 +0100
Subject: [PATCH] SERIAL: Fix a copy-paste error in DTR setup

In commit 2dab880c963ce0204c3513d664f610b587a3e6a6 I did a mistake when I copied the new fhandler_serial::switch_modem_lines() from my modified 3.3.6 branch to the current master and I left a copy paste error. This patch fixes that error.
---
 winsup/cygwin/fhandler/serial.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/winsup/cygwin/fhandler/serial.cc b/winsup/cygwin/fhandler/serial.cc
index 58a8df677..e04f8f263 100644
--- a/winsup/cygwin/fhandler/serial.cc
+++ b/winsup/cygwin/fhandler/serial.cc
@@ -411,10 +411,10 @@ fhandler_serial::switch_modem_lines (int set, int clr)
         dcb.fRtsControl = RTS_CONTROL_DISABLE;
 
       if (set & TIOCM_DTR)
-        dcb.fRtsControl = DTR_CONTROL_ENABLE;
+        dcb.fDtrControl = DTR_CONTROL_ENABLE;
       else
       if (clr & TIOCM_DTR)
-        dcb.fRtsControl = DTR_CONTROL_DISABLE;
+        dcb.fDtrControl = DTR_CONTROL_DISABLE;
 
       if (!SetCommState(get_handle(), &dcb))
         {
-- 
2.38.1.windows.1

